use nostr_rs_types::Request;
use tokio::sync::mpsc::error::SendError;
use tokio_tungstenite::tungstenite::error::Error as TungsteniteError;

#[derive(thiserror::Error, Debug)]
pub enum Error {
    #[error("Url: {0}")]
    Url(#[from] url::ParseError),

    #[error("Tungstenite: {0}")]
    Tungstenite(#[from] TungsteniteError),

    #[error("Sync: {0}")]
    Sync(#[from] SendError<Request>),

    #[error("There is no connection")]
    Disconnected,
}
